<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.gnc.page.assemble.add.GncAssembleBatchDialogModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_dialog_radius_10"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/bg_primary_radius_top_10"
            android:gravity="center"
            android:text="分批操作"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:text='@{"运单号: " + model.bean.wbNo}'
            android:textColor="#333333"
            android:textSize="16sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="总件数:"
                    android:textColor="#333333" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@{model.bean.pc}"
                    android:textColor="#333333" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="总重量:"
                    android:textColor="#333333" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@{model.bean.weight}"
                    android:textColor="#333333" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="剩余件数:"
                    android:textColor="#333333" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text='@{model.remainingCount}'
                    android:textColor="#333333" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="剩余重量:"
                    android:textColor="#333333" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text='@{model.remainingWeight}'
                    android:textColor="#333333" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="分批件数:"
                    android:textColor="#333333" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:layout_marginRight="10dp"
                    android:background="@color/white"
                    android:inputType="number"
                    android:text="@={model.count}"
                    android:textColor="#333333"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:text="分批重量:"
                    android:textColor="#333333" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:background="@color/white"
                    android:inputType="numberDecimal"
                    android:text="@={model.weight}"
                    android:textColor="#333333"
                    android:textSize="14sp" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="20dp">

            <TextView
                android:id="@+id/tv_cancel"
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.dismiss()}"
                android:text="取消" />

            <TextView
                android:id="@+id/tv_save"
                style="@style/tv_bottom_btn"
                android:onClick="@{model::save}"
                android:text="保存" />

        </LinearLayout>

    </LinearLayout>
</layout>